Firefox < 10.0 の複数の脆弱性(Mac OS X)

high Nessus プラグイン ID 57773

概要

リモート Mac OS X ホストにある Web ブラウザが、いくつかの脆弱性の影響を受ける可能性があります。

説明

Firefox バージョン 9.x がインストールされている場合、次のセキュリティの問題による影響を受けます。

- 削除された nsDOMAttribute 子ノードに関連する use-after-free エラーが存在します(CVE-2011-3659)。

- さまざまなメモリの安全性に関する課題が存在します。(CVE-2012-0442、CVE-2012-0443)

- Ogg Vorbis ファイルのデコードおよび無効な型式の XSLT スタイルシートの処理に関連するメモリ破損エラーがあります。(CVE-2012-0444、CVE-2012-0449)

- 攻撃者が別のドメインのドキュメントにあるサブフレームを置換するのを許可することで、HTML5 フレームのナビゲーションポリシーに違反する可能性があります。(CVE-2012-0445)

- フレーム内のスクリプトは、XPConnect のセキュリィ制限をバイパスできます。このバイパスにより、悪意のある Web サイトによるクロスサイトスクリプティング攻撃の実行が可能になります。(CVE-2012-0446)

- アイコン画像のエンコーディング時に初期化されていないメモリがパディングとして使用される場合に、情報漏洩の問題が存在します。(CVE-2012-0447)

- エクスポートされた「Firefox Sync」鍵の権限が正しくありません。(CVE-2012-0450)

ソリューション

Firefox 10.0 以降にアップグレードしてください。

関連情報

http://dev.w3.org/html5/spec/browsers.html#security-nav

https://www.mozilla.org/en-US/security/advisories/mfsa2012-01/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-03/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-04/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-05/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-06/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-07/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-08/

https://www.mozilla.org/en-US/security/advisories/mfsa2012-09/

http://www.zerodayinitiative.com/advisories/ZDI-12-110/

プラグインの詳細

深刻度: High

ID: 57773

ファイル名: macosx_firefox_10_0.nasl

バージョン: 1.24

タイプ: local

エージェント: macosx

公開日: 2012/2/1

更新日: 2018/7/14

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Critical

スコア: 9

CVSS v2

リスクファクター: High

Base Score: 9.3

Temporal Score: 8.1

ベクトル: AV:N/AC:M/Au:N/C:C/I:C/A:C

現状ベクトル: E:H/RL:OF/RC:C

脆弱性情報

CPE: cpe:/a:mozilla:firefox

必要な KB アイテム: MacOSX/Firefox/Installed

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2012/1/31

脆弱性公開日: 2012/1/31

エクスプロイト可能

CANVAS (White_Phosphorus)

Metasploit (Firefox 8/9 AttributeChildRemoved() Use-After-Free)

参照情報

CVE: CVE-2011-3659, CVE-2012-0442, CVE-2012-0443, CVE-2012-0444, CVE-2012-0445, CVE-2012-0446, CVE-2012-0447, CVE-2012-0449, CVE-2012-0450

BID: 51752, 51753, 51754, 51755, 51756, 51757, 51765, 51787

CWE: 20, 74, 79, 442, 629, 711, 712, 722, 725, 750, 751, 800, 801, 809, 811, 864, 900, 928, 931, 990